%global drupaldir %{_datadir}/drupal7

Name:    drupal7-auto_nodetitle
Version: 1.0
Release: 2%{?dist}
Summary: A small and efficient module that allows hiding of the content title

Group: Applications/Publishing
License: GPLv2+
URL:     http://drupal.org/project/auto_nodetitle
Source0: http://ftp.drupal.org/files/projects/auto_nodetitle-7.x-%{version}.tar.gz
Source1: %{name}-fedora-README.txt
Source2: LICENSE.txt

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:  drupal7

%description
This is a small and efficient module
that allows hiding of the content title field in the form.
To prevent empty content title fields one can configure it
to generate the title by a given pattern.
When the token module is installed
it's possible to use various node data for the
auto generated title - e.g. use the text of a CCK field (since 5.x).
Advanced users can also provide some PHP code,
that is used for automatically generating an appropriate title.

%prep

%setup -qn auto_nodetitle

install -p -m 0644 %{SOURCE1} .
install -p -m 0644 %{SOURCE2} .
chmod -x README.txt
chmod -x auto_nodetitle.install

%build

%install
rm -rf %{buildroot}
install -d %{buildroot}%{drupaldir}/modules/auto_nodetitle
cp -pr * %{buildroot}%{drupaldir}/modules/auto_nodetitle

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE.txt README.txt %{name}-fedora-README.txt
%{drupaldir}/modules/auto_nodetitle
%exclude %{drupaldir}/modules/auto_nodetitle/*.txt

%changelog
* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Sep 22 2011 Peter Borsa <peter.borsa@gmail.com> - 1.0-1
- Initial packaging

